Cambrionix connect
Developers
Authentication API

Organization Users

View and administer Users in your organization.

Remove organization user

DELETE

/organizations/{organizationId}/user

Remove a user from the Organization

Requires a bearer access token for this API. See Authentication.

Parameters

organizationIdstringpathrequired

The Organization id.

Request body

object
idstringrequired

Responses

200

Ok

object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/user" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "id": "00000000-0000-0000-0000-000000000000"
}'

List Organization Users

GET

/organizations/{organizationId}/users

Get all users in a given organization

Requires a bearer access token for this API. See Authentication.

Parameters

organizationIdstringpathrequired

The Organization id.

tokenstringquery

Continuation token

limitintegerquery

Number of records to return

Responses

200

A list of users in a given Organization

object
_metadataobject

Paging details for the list.

resultOrganizationUser[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/users" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get Organization User

GET

/organizations/{organizationId}/users/{userId}

Get an Organization User entry by id

Requires a bearer access token for this API. See Authentication.

Parameters

organizationIdstringpathrequired

The Organization id.

userIdstringpathrequired

The User id.

Responses

200

The Organization User

object
idstringrequired
rolesRole[]required
detailobjectrequired

UserDetail

401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/users/{userId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"